# cfxdm - dm:bin

**dm:bin:** This cfxdm tag allows the user to group the numerical data into different bins,

**What is data binning ?** : Binning is a way to group numbers that are continuous values into a smaller number groups which are called as "bins". For example, if you have data about a group of people, you might want to arrange their ages into a smaller number of age groups. (5-15 years, 20-35 years, 45-65 years etc..)

**dm:bin** synta&#x78;**:**

* **column** (mandatory): Column name which has numerical values
* **bins** (mandatory): comma separated numerical range values

In the below example, for a reference, we are going to use **VMware vCenter** as an extension to query the data from VMs tag and their disk size.

Enter the below command to select **VMware vCenter VMs tag (\*vcenter:vms**). (In this example, **vcenter** name is used as a label to identify VMware vCenter extension and it's tags. The label is defined while adding the extension in cfxdx configuration file or through UI)

```
tag *vcenter:vms
```

![](/files/-MW6us2YRudI68Vogt0D)

**Example-1:**

Get VM's list and limit the ouput to VM's Name, Disk Size in KB and VM's BIOS UUID and save it as named dataset. (vm-disk-size)

```
data * get name as 'vm_name',disk_capacity_KB as 'disk_capacity_kb',id as 'bios_uuid' --> dm:save name = 'vm-disk-size'
```

Recall the named dataset (vm-disk-size) and convert the disk size to MB. (use [**dm:recall**](/rda/rda-userguide/rda-data-management-cfxdm/cfxdx-dm-recall.md) tag for the below query)

```
data name = 'vm-disk-size' -->  dm:map attr = 'disk_capacity_kb' & func = 'evaluate' & expr = "disk_capacity_kb / 1024"
```

Create the '**bins**' for VM's disk size which fall between 40000,75000,100000,150000,200000 MB in size.  (use [**dm:recall**](/rda/rda-userguide/rda-data-management-cfxdm/cfxdx-dm-recall.md) tag for the below query)

```
data name = 'vm-disk-size' -->  dm:map attr = 'disk_capacity_kb' & func = 'evaluate' & expr = "disk_capacity_kb / 1024" --> dm:bin column = 'disk_capacity_kb' & bins = '40000,75000,100000,150000,200000'
```

![](/files/-MW6wbX6sBI7Q2zmvEl1)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudfabrix.io/rda/rda-userguide/rda-data-management-cfxdm/cfxdm-dm-bin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
